@echo off
ECHO    Filename: Flash-all.bat
ECHO    THIS WILL Flash the firmware and clear out all settings and the user flash filesystem.

ECHO    IT LOOKS ON COM1 FOR THE ESP. YOU MUST SET YOUR COM PORT FOR THE PROPPLUG IN THE DEVICE MANAGER, OR IN THIS FILE TO MATCH.
ECHO    THIS BATCH WILL ATTEMPT TO SET THE PORT SPEED.  YOU MAY NEED TO SET THE COM PORT SPEED SETTING IN THE DEVICE MANAGER TO THE SAME IN THIS FILE 115200.
ECHO    SET YOUR FLASH SIZE TO EITHER 1M, 2M or 4M, IT IS CURRENTLY SET AS 2M.
ECHO    TO STOP Press CTRL-C, Then Answer with a CAPITAL Y, Otherwise press any key to continue.

PAUSE

set PORT=COM1

set BAUD=115200

REM Currently supported methods are: none, ck, nodemcu, wifio.
set BOARD=none 

REM <512K|256K|1M|2M|4M|8M|16M|32M>
set FLASH_SIZE=2M

REM <40|26|20|80>
set FLASH_SPEED=80

REM <qio|qout|dio|dout>
set FLASH_INTERFACE=qio



set FLASH_BLOCK_SIZE=1024

set BOOT_LOADER=0x000000

set USER1_IMAGE=0x001000

set USER_SETTINGS1=0x07E000

set USER_SETTINGS2=0x07F000

REM Flash filesystem base

set FFS_BASE=0x100000

if %FLASH_SIZE%==1M goto :Flash1M
if %FLASH_SIZE%==2M goto :Flash2M
if %FLASH_SIZE%==4M goto :Flash4M
if %FLASH_SIZE%==8M goto :Flash8M
if %FLASH_SIZE%==16M goto :Flash16M
if %FLASH_SIZE%==32M goto :Flash32M

:Flash1M
set WIFI_SETTINGS1=0x0FC000

set WIFI_SETTINGS2=0x0FE000
set WIFI_SETTINGS3=0x0FA000
goto Go

:Flash2M
set WIFI_SETTINGS1=0x1FC000
set WIFI_SETTINGS2=0x1FE000
set WIFI_SETTINGS3=0x1FA000
goto Go

:Flash4M
set WIFI_SETTINGS1=0x3FC000

set WIFI_SETTINGS2=0x3FE000
set WIFI_SETTINGS3=0x3FA000
goto Go

:Flash8M

echo Unsupported flash size! %FLASH_SIZE% exit 1

:Flash16M

echo Unsupported flash size! %FLASH_SIZE% exit 1

:Flash32M

echo Unsupported flash size! %FLASH_SIZE% exit 1

:Go

set tt0=-v
set tt1=-cp %PORT%
set tt2=-cd %BOARD%
set tt3=-cb %BAUD%
set tt4=-bz %FLASH_SIZE%
set tt5=-bf %FLASH_SPEED%
set tt6=-bm %FLASH_INTERFACE%

set tt7=-ca %BOOT_LOADER%
set tt8=-cf boot_v1.6.bin

set tt9=-ca %USER1_IMAGE%
set tt10=-cf httpd.user1.bin

set tt11=-ca %USER_SETTINGS1%
set tt12=-cf blank.bin

set tt13=-ca %USER_SETTINGS2%
set tt14=-cf blank.bin

set tt15=-ca %WIFI_SETTINGS1%
set tt16=-cf esp_init_data_default.bin

set tt17=-ca %WIFI_SETTINGS2%
set tt18=-cf blank.bin

set tt19=-ca %WIFI_SETTINGS3%
set tt20=-cf blank.bin

set tt21=-ca %FFS_BASE%
set tt22=-cf blank.bin

Mode Com1: Baud=%BAUD% Parity=N Data=8 Stop=1

call esptool.exe %tt0% %tt1% %tt2% %tt3% %tt4% %tt5% %tt6% %tt7% %tt8% %tt9% %tt10% %tt11% %tt12% %tt13% %tt14% %tt15% %tt16% %tt17% %tt18% %tt19% %tt20% %tt21% %tt22%

PAUSE